<xml> </xml>

db4o |

# ReplicationConflictHandler.ResolveConflict Method

the callback method to be implemented to resolve a conflict.

object ResolveConflict(
ReplicationProcess replicationProcess,
object a,
object b
);

#### Parameters

replicationProcess
  the com.db4o.replication.ReplicationProcess for which this ReplicationConflictHandler is registered
a
  the object modified in the peerA ObjectContainer
b
  the object modified in the peerB ObjectContainer

#### Return Value

the object (a or b) that should prevail in the conflict or null, if no action is to be taken. If this would violate the direction set with com.db4o.replication.ReplicationProcess.SetDirection no action will be taken.

#### Remarks

the callback method to be implemented to resolve a conflict.

#### See Also

ReplicationConflictHandler Interface | com.db4o.replication Namespace | com.db4o.replication.ReplicationProcess.PeerA | com.db4o.replication.ReplicationProcess.PeerB